## Class IDS_Monitor

Description

Monitoring engine

This class represents the core of the frameworks attack detection mechanism and provides functions to scan incoming data for malicious appearing script fragments.

- author: Lars Strojny <lars@strojny.net>
- author: Christian Matthies <ch0012@gmail.com>
- author: Mario Heiderich <mario.heiderich@gmail.com>
- version: Release: $Id:Monitor.php 949 2008-06-28 01:26:03Z christ1an $
- copyright: 2007 The PHPIDS Group
- link: http://php-ids.org/
- license: LGPL

Located in /Monitor.php (line 51)

Variable Summary
boolean $scanKeys
Method Summary
void __construct ( $request, IDS_Init $init, [ $tags = null])
void addHtml ( $value)
void addJson ( $value)
array getExceptions ()
array getHtml ()
array getJson ()
object IDS_Report getReport ()
array getStorage ()
object IDS_Report run ()
void setExceptions (mixed $exceptions)
void setHtml (mixed $html)
void setJson (mixed $json)
Variables
boolean $scanKeys = false (line 99)

Scan keys switch

Enabling this property will cause the monitor to scan both the key and the value of variables

- access: public

Methods
Constructor __construct (line 175)

Constructor

- access: public

void __construct ( $request, IDS_Init $init, [ $tags = null])

- array $request: array to scan
- object $init: instance of IDS_Init
- array $tags: list of tags to which filters should be applied

addHtml (line 589)

Adds a value to the html array

- since: 0.5
- access: public

void addHtml ( $value)

- $value

addJson (line 630)

Adds a value to the json array

- since: 0.5.3
- access: public

void addJson ( $value)

- $value

getExceptions (line 560)

Returns exception array

- access: public

array getExceptions ()
getHtml (line 601)

Returns html array

- return: the fields that contain allowed html
- since: 0.5
- access: public

array getHtml ()
getJson (line 642)

Returns json array

- return: the fields that contain json
- since: 0.5.3
- access: public

array getJson ()
getReport (line 664)

Returns report object providing various functions to work with detected results. Also the centrifuge data is being set as property of the report object.

- access: public

object IDS_Report getReport ()
getStorage (line 652)

Returns storage container

- access: public

array getStorage ()
run (line 233)

Starts the scan mechanism

- access: public

object IDS_Report run ()
setExceptions (line 546)

Sets exception array

- access: public

void setExceptions (mixed $exceptions)

- mixed $exceptions: the thrown exceptions

setHtml (line 573)

Sets html array

- since: 0.5
- access: public

void setHtml (mixed $html)

- mixed $html: the fields containing html

setJson (line 614)

Sets json array

- since: 0.5.3
- access: public

void setJson (mixed $json)

- mixed $json: the fields containing json

Documentation generated on Mon, 22 Dec 2008 13:36:50 +0100 by phpDocumentor 1.4.2